Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model and Business Components Java API Reference 10g Release 3 (10.1.3) B16005-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.jbo.mom
Class PropertyNameValueDef

`java.lang.Object
oracle.jbo.mom.PropertyNameValueDef`

All Implemented Interfaces:
  java.io.Serializable

public class PropertyNameValueDef
extends java.lang.Object
implements java.io.Serializable

This class implements a persistable name-value-type holder It can be used to store name-type-value triplets e.g., to persist Bean Properties. Used by JboValidatorType to store Validator bean's instance data.

Version:
  INTERNAL
See Also:
  Serialized Form

Field Summary
`java.lang.String` | `NULL_VALUE`

Constructor Summary
`` | `PropertyNameValueDef()`
`protected` | `PropertyNameValueDef(boolean conversion)`
`` | `PropertyNameValueDef(PropertyNameValueDef other)`
`` | `PropertyNameValueDef(java.lang.String name, java.lang.String type, java.lang.Object value)`
`protected` | `PropertyNameValueDef(java.lang.String name, java.lang.String type, java.lang.Object value, boolean conversion)`

Method Summary
`java.lang.Object` | `clone()`
`static java.lang.String` | `convertToText(java.util.Vector vec, java.lang.String delim)`
`static java.util.Vector` | `convertToVector(java.lang.String str, java.lang.String delim)`
`void` | `copy(PropertyNameValueDef other)`
`java.lang.String[]` | `getColumnList()`
`java.lang.String` | `getFullName()` This method returns the Persistence reference of the object.
`java.lang.String` | `getName()`
`java.lang.Class` | `getType()`
`java.lang.Object` | `getTypedValue()`
`java.lang.String` | `getTypeName()`
`java.lang.Object` | `getValue()`
`java.lang.String` | `getXMLElementTag()` Returns a piece of static info for the type of object this is invoked upon.
`void` | `loadFromXMLFile(DefElement xmlElement)`
`void` | `setBeanProperty(java.beans.BeanInfo beanInfo, java.lang.Object bean)`
`void` | `setName(java.lang.String name)`
`void` | `setType(java.lang.String type)`
`void` | `setValue(java.lang.Object value)`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### NULL_VALUE

    public final java.lang.String NULL_VALUE

  See Also:
    Constant Field Values

Constructor Detail

### PropertyNameValueDef

    public PropertyNameValueDef()

### PropertyNameValueDef

    protected PropertyNameValueDef(boolean conversion)

### PropertyNameValueDef

    public PropertyNameValueDef(java.lang.String name,
                                java.lang.String type,
                                java.lang.Object value)

### PropertyNameValueDef

    protected PropertyNameValueDef(java.lang.String name,
                                   java.lang.String type,
                                   java.lang.Object value,
                                   boolean conversion)

### PropertyNameValueDef

    public PropertyNameValueDef(PropertyNameValueDef other)

Method Detail

### copy

    public void copy(PropertyNameValueDef other)

### clone

    public java.lang.Object clone()

### getName

    public java.lang.String getName()

### getValue

    public java.lang.Object getValue()

### getTypeName

    public java.lang.String getTypeName()

### getType

    public java.lang.Class getType()

### getTypedValue

    public java.lang.Object getTypedValue()

### setName

    public void setName(java.lang.String name)

### setType

    public void setType(java.lang.String type)

### setValue

    public void setValue(java.lang.Object value)

### setBeanProperty

    public void setBeanProperty(java.beans.BeanInfo beanInfo,
                                java.lang.Object bean)
                         throws java.lang.reflect.InvocationTargetException,
                                java.beans.IntrospectionException,
                                java.lang.IllegalAccessException

  Throws:
    `java.lang.reflect.InvocationTargetException`
    `java.beans.IntrospectionException`
    `java.lang.IllegalAccessException`

### getFullName

    public java.lang.String getFullName()

  This method returns the Persistence reference of the object. The Persistence Reference is uniquely identifiable fully qualified name of the object.
  Returns:
    the Persistence Reference of the object

### getXMLElementTag

    public java.lang.String getXMLElementTag()

  Returns a piece of static info for the type of object this is invoked upon. Examples are PreparedStatements for insert, update, delete, and String containing a base the select statement for retrieving instances of this type through the SQLInputStream
  Returns:
    returns the Statement required to store in Persitent Storage. Incase of XML, it just returns the String. In the case of SQL a JDBC PreparedStatement is returned.

### getColumnList

    public java.lang.String[] getColumnList()

  Returns:
    the names of all persistent properties for this type, including the properties it inherits through its supertypes, if any

### loadFromXMLFile

    public void loadFromXMLFile(DefElement xmlElement)

### convertToText

    public static java.lang.String convertToText(java.util.Vector vec,
                                                 java.lang.String delim)

### convertToVector

    public static java.util.Vector convertToVector(java.lang.String str,
                                                   java.lang.String delim)

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model and Business Components Java API Reference 10g Release 3 (10.1.3) B16005-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1997, 2005, Oracle. All rights reserved.